# cb-util
A collection of helper functions and scripts used for cb.

First it will be used for the walberla on the testercluster, but can be also extended for other projects and other systems.

The respective repository can be found [here](https://gitlab.rrze.fau.de/ob28imeq/cx-test)
The grafana dashboards can be found [here](https://www10.cs.fau.de/grafana/dashboards/f/k-GX7Rrnz/walberla?query=)

If you have suggestions or want to have support for any project/cluster open an issue or contact me.


- modules
    * _cbutil_
        * scripts for parsing sqlite, json, csv
        * abstraction for upload to influxdb including wrapper around influxdb lib
        * calls to the gilab/git api
    * _dashboards_
        * specification of dashboards with [grafanalib](https://github.com/weaveworks/grafanalib)
        * upload to grafana instance
