"""Set of example functions to transform some input"""
import re


def mesa_pd_text(line: str):
    m = re.search(r'\[0\]\s*(\w*)\s*\|[\s\d\.\%]*\|\s*([\d\.]*)', line)
    if m is not None:
        return m.group(1), float(m.group(2))

    raise ValueError()
