import dashboards.dashboard_list as boards
from dashboards.upload import upload_dashboard


def main():
    walberla_folder = 8
    for board in [getattr(boards, func) for func in dir(boards) if func.startswith("dashboard_")]:
        upload_dashboard(board(), folder=walberla_folder)


if __name__ == "__main__":
    main()
